NumbersFilter
Keywords: NumbersFilter,NumbersFilter class

| Package
| Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class NumbersFilter

    java.lang.Object
      |
      +--weka.filters.Filter
            |
            +--NumbersFilter

All Implemented Interfaces:
  java.io.Serializable

public class NumbersFilter
extends weka.filters.Filter

Removes all numbers from all the string attributes in the given dataset. Assumes that words are separated by whitespace.

See Also:
  Serialized Form

Field Summary

Fields inherited from class weka.filters.Filter
`m_NewBatch`

Constructor Summary
`NumbersFilter()`

Method Summary
`boolean` | `batchFinished()` Signify that this batch of input to the filter is finished.
`java.lang.String` | `globalInfo()` Returns a string describing this filter
`boolean` | `input(weka.core.Instance instance)` Input an instance for filtering.
`static void` | `main(java.lang.String[] argv)` Main method for testing this class.
`boolean` | `setInputFormat(weka.core.Instances instanceInfo)` Sets the format of the input instances.

Methods inherited from class weka.filters.Filter
`batchFilterFile, bufferInput, copyStringValues, copyStringValues, filterFile, flushInput, getInputFormat, getInputStringIndex, getOutputFormat, getOutputStringIndex, getStringIndices, inputFormat, isOutputFormatDefined, numPendingOutput, output, outputFormat, outputFormatPeek, outputPeek, push, resetQueue, setOutputFormat, useFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumbersFilter

    public NumbersFilter()

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Returns a string describing this filter

  Returns:
    a description of the filter suitable for displaying in the explorer/experimenter gui

### batchFinished

    public boolean batchFinished()
                          throws java.lang.Exception

  Signify that this batch of input to the filter is finished. If the filter requires all instances prior to filtering, output() may now be called to retrieve the filtered instances. Any subsequent instances filtered should be filtered based on setting obtained from the first batch (unless the inputFormat has been re-assigned or new options have been set). This default implementation assumes all instance processing occurs during inputFormat() and input().

  Overrides:
    `batchFinished` in class `weka.filters.Filter`
  Returns:
    true if there are instances pending output
  Throws:
    `java.lang.NullPointerException` - if no input structure has been defined,
    `java.lang.Exception` - if there was a problem finishing the batch.

### setInputFormat

    public boolean setInputFormat(weka.core.Instances instanceInfo)
                           throws java.lang.Exception

  Sets the format of the input instances.

  Overrides:
    `setInputFormat` in class `weka.filters.Filter`
  Parameters:
    `instanceInfo` - an Instances object containing the input instance structure (any instances contained in the object are ignored - only the structure is required).
  Returns:
    true if the outputFormat may be collected immediately
    `java.lang.Exception`

### input

    public boolean input(weka.core.Instance instance)
                  throws java.lang.Exception

  Input an instance for filtering. Ordinarily the instance is processed and made available for output immediately. Some filters require all instances be read before producing output.

  Overrides:
    `input` in class `weka.filters.Filter`
  Parameters:
    `instance` - the input instance
  Returns:
    true if the filtered instance may now be collected with output().
  Throws:
    `java.lang.Exception` - if the input instance was not of the correct format or if there was a problem with the filtering.

### main

    public static void main(java.lang.String[] argv)

  Main method for testing this class.

  Parameters:
    `argv` - should contain arguments to the filter: use -h for help

| Package
| Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD